npm install error #15445

Open
zhuchuji opened this Issue Jan 11, 2017 · 4 comments

Projects

None yet

2 participants

@zhuchuji

What's going wrong?

I got errors when I run npm install to resolve dependencies
Below is the log:
npm WARN package.json hsbc-mobile-x@12.0.2 No repository field.
npm WARN package.json hsbc-mobile-x@12.0.2 No license field.
npm WARN addRemoteGit Error: Command failed: git -c core.longpaths=true config --get remote.origin.url
npm WARN addRemoteGit
npm WARN addRemoteGit at ChildProcess.exithandler (child_process.js:203:12)
npm WARN addRemoteGit at emitTwo (events.js:87:13)
npm WARN addRemoteGit at ChildProcess.emit (events.js:172:7)
npm WARN addRemoteGit at maybeClose (internal/child_process.js:817:16)
npm WARN addRemoteGit at Socket. (internal/child_process.js:319:11)
npm WARN addRemoteGit at emitOne (events.js:77:13)
npm WARN addRemoteGit at Socket.emit (events.js:169:7)
npm WARN addRemoteGit at Pipe._onclose (net.js:469:12)
npm WARN addRemoteGit git+https://github.com/editorconfig/editorconfig-core-js.git#50e0dba81b2f7f3e9ea4f701f2c65dd3f482cd4c resetting remote C:\Users\43997115-820\AppData\Roaming\npm-cache_git-remotes\https-github-com-editorconfig-editorconfig-core-js-git-8082963e because of error: { [Error: Command failed: git -c core.longpaths=true config --get remote.origin.url
npm WARN addRemoteGit ]
npm WARN addRemoteGit killed: false,
npm WARN addRemoteGit code: 1,
npm WARN addRemoteGit signal: null,
npm WARN addRemoteGit cmd: 'git -c core.longpaths=true config --get remote.origin.url' }
npm ERR! git clone --template=C:\Users\43997115-820\AppData\Roaming\npm-cache_git-remotes_templates --mirror https://github.com/editorconfig/editorconfig-core-js.git C:\Users\43997115-820\AppData\Roaming\npm-cache_git-remotes\https-github-com-editorconfig-editorconfig-core-js-git-8082963e: Cloning into bare repository 'C:\Users\43997115-820\AppData\Roaming\npm-cache_git-remotes\https-github-com-editorconfig-editorconfig-core-js-git-8082963e'...
npm ERR! git clone --template=C:\Users\43997115-820\AppData\Roaming\npm-cache_git-remotes_templates --mirror https://github.com/editorconfig/editorconfig-core-js.git C:\Users\43997115-820\AppData\Roaming\npm-cache_git-remotes\https-github-com-editorconfig-editorconfig-core-js-git-8082963e: fatal: unable to access 'https://github.com/editorconfig/editorconfig-core-js.git/': Failed to connect to github.com port 443: Timed out
npm ERR! Windows_NT 6.1.7601
npm ERR! argv "C:\SWDTOOLS\nodejs\node.exe" "C:\SWDTOOLS\nodejs\node_modules\npm\bin\npm-cli.js" "install"
npm ERR! node v4.0.0
npm ERR! npm v2.14.2

npm ERR! version not found: gulp-war@0.1.3
npm ERR!
npm ERR! If you need help, you may report this error at:
npm ERR! https://github.com/npm/npm/issues

npm ERR! Please include the following file with any support request:
npm ERR! C:\jenkins_slaves\A156W7DFP62QW37\sharedspace\npm-debug.log
Build step 'Execute Windows batch command' marked build as failure

supporting information:

node version v5.7.0
npm version 3.6.0
os: window 7
proxy: behind the company's proxy. it's set properly

I can run npm install gulp ect commands to install dependencies. But when I run npm install to resolve all dependencies, the above error occurs

@legodude17
Contributor

Please try updating npm to 4.1.1 with npm install npm@4.1.1. If that doesn't work, try installing latest version from the homepage..

@zhuchuji

@legodude17 Hi, my company only provide 4.0.0 and v5.7.0 version. Do you know what it is?
Error: Command failed: git -c core.longpaths=true config --get remote.origin.url
and why it execute the below command?
git clone --template=C:\Users\43997115-820\AppData\Roaming\npm-cache_git-remotes_templates --mirror https://github.com/editorconfig/editorconfig-core-js.git C:\Users\43997115-820\AppData\Roaming\npm-cache_git-remotes\https-github-com-editorconfig-editorconfig-core-js-git-8082963e
Is it for interpreting the package.json? Is it possible to do it manually?

@legodude17
Contributor

What does your package.json look like? What does the line for gulp-war look like?

@zhuchuji
zhuchuji commented Jan 16, 2017 edited

@legodude17 I remove all other dependencies except gulp, but the error still occurs. When I remove the npm-shrinkwrap.json, it works fine(without gulp-war package). I read about the shrinkwrap on npmjs.org, but it does not memtion editorconfig. The editorconfig on Github is just a tool for formatting...

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment